#include <Wire.h>
#include <Adafruit_Sensor.h>
#include <Adafruit_ADXL345_U.h>
#include <Servo.h>

Adafruit_ADXL345_Unified accelerometer = Adafruit_ADXL345_Unified(12345);
Servo myservo;


void setup() {
  Serial.begin(9600);
  if(!accelerometer.begin()) {
    Serial.println("Could not find a valid ADXL345 sensor, check wiring!");
    while(1);
  }
  myservo.attach(9);  // attaches the servo on pin 9 to the servo object
}

void loop() {
  readAccelerometer(); // read accelerometer values
  serv(); // set servo angle
}

void readAccelerometer() {
  sensors_event_t event; 
  accelerometer.getEvent(&event); // read the acceleration values from the ADXL345 sensor

  float x = event.acceleration.x;
  float y = event.acceleration.y;
  float z = event.acceleration.z;

  Serial.print(","); 
  Serial.print(x); 
  Serial.print(","); 
  Serial.print(y); 
  Serial.print(","); 
  Serial.println(z);
  delay(10);
}

void serv() {
  static int lastAngle = 0; // initialize the last angle to 0

  if (Serial.available() > 0) {   // if data is available on the serial port
    int angle = Serial.parseInt();  // read the angle value
    Serial.print("Received angle: ");
    Serial.println(angle);
    myservo.write(angle);  // set the servo angle to the received value
    lastAngle = angle; // update the last angle to the received value
  } else { // no new angle received, use the last angle
    myservo.write(lastAngle); // set the servo angle to the last received value
  }
}